Bug 1032024 - [RFE] Add nova compute v3 endpoint
[RFE] Add nova compute v3 endpoint
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
Unspecified Unspecified
high Severity unspecified
: ---
: 6.0 (Juno)
Assigned To: Ivan Chavero
: FutureFeature, ZStream
Depends On:
  Show dependency treegraph
Reported: 2013-11-19 07:04 EST by Martina Kollarova
Modified: 2016-04-18 02:46 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-08-07 15:22:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martina Kollarova 2013-11-19 07:04:23 EST
Description of problem:
There is no computev3 endpoint, causing the new tempest tests of this feature to fail.


Additional info:

from tempest/etc/tempest.conf.sample:

# The type of endpoint for a Compute v3 API service. Unless you have a          
# custom Keystone service catalog implementation, you probably want to leave    
# this value as "computev3"                                                     
catalog_v3_type = computev3

To not have the computev3 tests run in tempest, just set this in tempest.conf:

api_v3 = false
Comment 2 Francesco Vollero 2013-11-27 10:34:37 EST
I think this feature should be enabled when and just when, the feature is completed. https://blueprints.launchpad.net/nova/+spec/nova-v3-api
Comment 3 Alvaro Lopez Ortega 2013-11-27 10:43:37 EST
Moving this RFE to RHOS 5.0. The API is still WIP.
Comment 6 Francesco Vollero 2014-05-13 11:31:46 EDT
The upstream patch for that is already released, I gonna update our o-p-m to support V3 endpoint:

Comment 7 Russell Bryant 2014-06-10 08:30:32 EDT
The v3 API is still experimental and still subject to major changes.  I honestly wouldn't worry about this for RHOS 5.0.

Further, I think having a separate API endpoint is the wrong thing long term anyway.  We would want it (optionally) exposed via the same API endpoint.  So, I wouldn't do this for RHOS at all.
Comment 8 Martin Magr 2014-06-10 08:33:07 EDT
Moving to RHOS-6. Thanks for clarification Russell.
Comment 13 Ivan Chavero 2015-07-31 21:41:43 EDT
Creating patch for packstack after checking the tempes puppet module
Comment 14 Ivan Chavero 2015-08-06 18:38:43 EDT
It seems that tempest does not include this tests, contactig David Kranz to confirm this.
Comment 15 Ivan Chavero 2015-08-07 15:22:52 EDT
this feature is not implemented in tempest
Comment 16 David Kranz 2015-08-07 15:59:00 EDT
The tempest tests for nova v3 were removed in Dec. 2014 because they were not running in the upstream gate any more and that api was being removed from nova.

Note You need to log in before you can comment on or make changes to this bug.